Bug 1718948 - core dump when running pmchart with bogus timezone
Summary: core dump when running pmchart with bogus timezone
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-10 15:18 UTC by Frank Sorenson
Modified: 2019-08-20 01:48 UTC (History)
3 users (show)

Fixed In Version: pcp-4.3.3-1 pcp-4.3.4-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-20 01:48:52 UTC


Attachments (Terms of Use)
corefile (1.31 MB, application/x-xz)
2019-06-10 15:18 UTC, Frank Sorenson
no flags Details

Description Frank Sorenson 2019-06-10 15:18:37 UTC
Created attachment 1579072 [details]
corefile

Description of problem:

running pmchart with a bogus/unrecognized timezone argument results in core dump


Version-Release number of selected component (if applicable):

pcp-4.3.2-1.fc29.x86_64
pcp-conf-4.3.2-1.fc29.x86_64
pcp-gui-4.3.2-1.fc29.x86_64
pcp-libs-4.3.2-1.fc29.x86_64


How reproducible:

easy

Steps to Reproduce:


pmchart -z BOGUS_TZ -a foo



Actual results:

Error window says 
  pmchart: Error: BOGUS_TZ: No such file or directory
and core dumps when after error window is closed


Expected results:

no core dump


Additional info:

                Stack trace of thread 503190:
                #0  0x000055cebafb2d84 QmcContext::useTZ() (pmchart)
                #1  0x000055cebafa3819 QmcGroup::useTZ() (pmchart)
                #2  0x000055cebaf2be1f main (pmchart)
                #3  0x00007f4f47515413 __libc_start_main (libc.so.6)
                #4  0x000055cebaf2c4de _start (pmchart)

(gdb) bt
#0  0x000055cebafb2d84 in QmcContext::useTZ() (this=0x0) at qmc_context.cpp:224
#1  0x000055cebafa3819 in QmcGroup::useTZ() () at /usr/include/qt5/QtCore/qlist.h:544
#2  0x000055cebaf2be1f in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at main.cpp:612

(gdb) list
219	}
220	
221	int
222	QmcContext::useTZ()
223	{
224	    if (my.source->tzHandle() >= 0)
225		return pmUseZone(my.source->tzHandle());
226	    return 0;
227	}
228	

(gdb) p my
Cannot access memory at address 0x0

(gdb) p &my
$2 = (struct {...} *) 0x0

Comment 1 Nathan Scott 2019-06-10 22:11:23 UTC
Thanks Frank, we'll fix this up in pcp-4.3.3

Comment 2 Nathan Scott 2019-06-11 04:29:05 UTC
commit 8ee5d2be454b5bbab8b609d6227f4f95a3634eeb
Author: Nathan Scott <nathans@redhat.com>
Date:   Tue Jun 11 14:28:20 2019 +1000

    pmchart: fix handling of -z timezone option with no source
    
    Resolves Red Hat BZ 1718948.

Comment 3 Fedora Update System 2019-06-28 06:40:03 UTC
FEDORA-2019-4076c8c0d7 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4076c8c0d7

Comment 4 Fedora Update System 2019-06-28 06:46:44 UTC
FEDORA-2019-cdb6bafc6d has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cdb6bafc6d

Comment 5 Fedora Update System 2019-06-28 18:25:45 UTC
pcp-4.3.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4076c8c0d7

Comment 6 Fedora Update System 2019-06-28 21:44:27 UTC
pcp-4.3.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cdb6bafc6d

Comment 7 Fedora Update System 2019-08-16 01:52:59 UTC
FEDORA-2019-97183bed56 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-97183bed56

Comment 8 Fedora Update System 2019-08-16 01:53:30 UTC
FEDORA-2019-44b383ec91 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-44b383ec91

Comment 9 Fedora Update System 2019-08-17 01:27:35 UTC
pcp-4.3.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-97183bed56

Comment 10 Fedora Update System 2019-08-17 02:23:44 UTC
pcp-4.3.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-44b383ec91

Comment 11 Fedora Update System 2019-08-20 01:48:52 UTC
pcp-4.3.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.